#### Session Video:

Part-1 : 
    https://drive.google.com/file/d/1MWeTcNMNIZGP11gIoOO8eSOlFd51vLr-/view?usp=sharing

Part-2 :
    https://drive.google.com/file/d/1DZOUeztMjJijALKrAOn4pizPRcEIFRdi/view?usp=sharing


#### Topics:

   - How to Create EC2 Instance(Windows|Linux|Unix|MacOS) in AWS 

#### Root User Should hire a Cloud Engineer

- spiderman
   - Create Custom Policy and Attach to joel
      - Region: us-east-1
      - EC2 Service  

Console sign-in URL

URL : https://cloudbinary-awsdevops.signin.aws.amazon.com/console

User name : spiderman

Console password : }r4r8jjF8!


####

Amazon EC2: Allows full EC2 access within a specific Region, programmatically and in the console

https://docs.aws.amazon.com/IAM/latest/UserGuide/reference_policies_examples_ec2_region.html

```
{
    "Version": "2012-10-17",
    "Statement": [
        {
            "Action": "ec2:*",
            "Resource": "*",
            "Effect": "Allow",
            "Condition": {
                "StringEquals": {
                    "ec2:Region": "us-east-2"
                }
            }
        }
    ]
}
```

#### Task-1 :

Role : Cloud Engineer()

   - AWS as IAM User
      - Region :
      Compute --> EC2 (Region Base Service)
            - Create EC2 instance : Windows
               - AMI :
               - Instance Type : CPU & RAM 
               - Security Group : 3389/TCP RDP 
               - KeyPairs : abc.perm
               - Hard Disk  : 30 GB SSD GP2/GP3
               - Subnets (Default Network) : VPC --> Subnets



